v1.0.0
OpenAPI 3.1.0

Get a one-time send

US region

Client Libraries

Get a one-time send

Returns metadata for an individual one-time send (referred to as a "newsletter" in our APIs).

Path Parameters
  • newsletter_id
    Type: integer
    required

    The identifier of a one-time send.

Responses
  • application/json
  • 404

    The one-time send you requested does not exist.

  • application/json
Request Example for get/v1/newsletters/{newsletter_id}
curl https://api.customer.io/v1/newsletters/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "newsletter": {
    "content_ids": [
      45
    ],
    "created": 1481653919,
    "deduplicate_id": "128275:1484870424",
    "id": 128275,
    "name": "Weekly Product Update",
    "recipient_segment_ids": [
      42,
      99
    ],
    "sent_at": 1481653929,
    "subscription_topic_id": 5,
    "tags": [
      "Product Updates"
    ],
    "type": "email",
    "updated": 1481653929
  }
}